Announcement

Collapse
No announcement yet.

Fixing LMS upgrade issues

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Fixing LMS upgrade issues

    Hello folks,

    Happy New Year!

    I have been doing some testing today, and had some issues in a test Fedora 25 upgrade I have done on a virtual machine, where LMS aka Squeezeboxserver would not run.

    I have found that the issue was related to a pesky Perl module which was not installed, Time::HiRes, as mentioned in the startup log for LMS:

    Code:
    ‚óŹ squeezeboxserver.service - LSB: Startup script for the Logitech Media Server
       Loaded: loaded (/etc/rc.d/init.d/squeezeboxserver; generated; vendor preset: disabled)
       Active: inactive (dead) since Sun 2019-01-06 17:54:55 CET; 1s ago
         Docs: man:systemd-sysv-generator(8)
      Process: 9648 ExecStop=/etc/rc.d/init.d/squeezeboxserver stop (code=exited, status=0/SUCCESS)
      Process: 9564 ExecStart=/etc/rc.d/init.d/squeezeboxserver start (code=exited, status=0/SUCCESS)
    
    Jan 06 17:54:31 vtx systemd[1]: Starting LSB: Startup script for the Logitech Media Server...
    Jan 06 17:54:31 vtx runuser[9570]: pam_unix(runuser:session): session opened for user squeezeboxserver by (uid=0)
    Jan 06 17:54:32 vtx squeezeboxserver[9564]: Starting Squeezebox Server: The following modules failed to load: Time::HiRes
    Jan 06 17:54:32 vtx squeezeboxserver[9564]: *******
    Jan 06 17:54:32 vtx squeezeboxserver[9564]: NOTE:
    Jan 06 17:54:32 vtx squeezeboxserver[9564]: If you're running some unsupported Linux/Unix platform, please use the buildme.sh
    Jan 06 17:54:32 vtx squeezeboxserver[9564]: script located here:
    Jan 06 17:54:32 vtx squeezeboxserver[9564]: https://github.com/Logitech/slimserver-vendor/tree/public/7.9/CPAN
    Jan 06 17:54:32 vtx squeezeboxserver[9564]: If 7.9 is outdated by the time you read this, Replace "7.9" with the major version
    Jan 06 17:54:32 vtx squeezeboxserver[9564]: You should never need to do this if you're on Windows or Mac OSX. If the installers
    Jan 06 17:54:32 vtx squeezeboxserver[9564]: don't work for you, ask for help and/or report a bug.
    Jan 06 17:54:32 vtx squeezeboxserver[9564]: *******
    Jan 06 17:54:32 vtx squeezeboxserver[9564]:                         
    Jan 06 17:54:32 vtx squeezeboxserver[9564]: Exiting..
    Jan 06 17:54:32 vtx runuser[9570]: pam_unix(runuser:session): session closed for user squeezeboxserver
    The way to fix the issue was a simple command to install the missing module:

    Code:
    yum install perl-Time-HiRes
    as found in this web page, short and sweet!

    https://drewsymo.com/2016/05/09/cant...hires-pm-perl/

    Hope this helps the issues with LMS updates that some are facing!

    Bye, Luca
Working...
X